Subject: Bug#879779: please consider auto-accepting some classes of new binary and new source packages

From: Matthias Klose <[email-masked]>
Date: Wed, 25 Oct 2017 20:03:34 +0200

Package: ftp.debian.org

>From time to time the NEW queue tends to get long, and human time maybe could
better be spent in fewer package reviews if the number of package reviews could
be lowered.  I'm proposing that packages get automatically accepted (still
running the lintian -F checks) based on some kind of pattern matching.

 - If a binary package libfoo<foo> is already in the archive, then
   a binary package libfoo<bar> can be accepted. This will cover
   most transition uploads.

 - The same could apply when package maintainers split out documentation
   or common parts into a new binary package. These usually start
   with a common prefix.

 - If a packages builds new python3-foo bindings, but already has a
   python-foo package in the archive.

 - Pattern matching could apply for source uploads as well for
   packages which use versioned package names. gcc-*, python*,
   ruby*, php*. openjdk* postgresql*, and others.

Maybe such an auto-accept could be limited to uploads to experimental first.